Index: /trunk/sources/HeuristicLab.IntVector/DiscreteCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/DiscreteCrossover.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/DiscreteCrossover.cs	(revision 1157)
@@ -26,9 +26,20 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Discrete crossover for integer vectors.
+  /// </summary>
   public class DiscreteCrossover : IntVectorCrossoverBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return "Discrete crossover for integer vectors."; }
     }
 
+    /// <summary>
+    /// Performs a discrete crossover operation of the two given parents.
+    /// </summary>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="parent1">The first parent for the crossover operation.</param>
+    /// <param name="parent2">The second parent for the crossover operation.</param>
+    /// <returns>The newly created integer vector, resulting from the crossover operation.</returns>
     public static int[] Apply(IRandom random, int[] parent1, int[] parent2) {
       int length = parent1.Length;
@@ -44,4 +55,12 @@
     }
 
+    /// <summary>
+    /// Performs a discrete crossover operation of the two given parents.
+    /// </summary>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="parent1">The first parent for the crossover operation.</param>
+    /// <param name="parent2">The second parent for the crossover operation.</param>
+    /// <returns>The newly created integer vector, resulting from the crossover operation.</returns>
     protected override int[] Cross(IScope scope, IRandom random, int[] parent1, int[] parent2) {
       return Apply(random, parent1, parent2);
Index: /trunk/sources/HeuristicLab.IntVector/HeuristicLabIntVectorPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/HeuristicLabIntVectorPlugin.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/HeuristicLabIntVectorPlugin.cs	(revision 1157)
@@ -26,4 +26,7 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Plugin class for HeuristicLab.IntVector plugin.
+  /// </summary>
   [ClassInfo(Name = "HeuristicLab.IntVector-3.2")]
   [PluginFile(Filename = "HeuristicLab.IntVector-3.2.dll", Filetype = PluginFileType.Assembly)]
Index: /trunk/sources/HeuristicLab.IntVector/IntVectorCrossoverBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/IntVectorCrossoverBase.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/IntVectorCrossoverBase.cs	(revision 1157)
@@ -28,5 +28,12 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Base class for all integer vector crossover operators.
+  /// </summary>
   public abstract class IntVectorCrossoverBase : CrossoverBase {
+    /// <summary>
+    /// Initializes a new instance of <see cref="IntVectorCrossoverBase"/> with one variable info
+    /// (<c>IntVector</c>).
+    /// </summary>
     public IntVectorCrossoverBase()
       : base() {
@@ -34,4 +41,12 @@
     }
 
+    /// <summary>
+    /// Performs a crossover of two given parents.
+    /// </summary>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="parent1">The first parent for crossover.</param>
+    /// <param name="parent2">The second parent for crossover.</param>
+    /// <param name="child">The resulting child scope.</param>
     protected sealed override void Cross(IScope scope, IRandom random, IScope parent1, IScope parent2, IScope child) {
       IVariableInfo intVectorInfo = GetVariableInfo("IntVector");
@@ -45,4 +60,12 @@
     }
 
+    /// <summary>
+    /// Performs a crossover of two given parents.
+    /// </summary>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="parent1">The first parent for crossover.</param>
+    /// <param name="parent2">The second parent for crossover.</param>
+    /// <returns>The newly created integer vector, resulting from the crossover operation.</returns>
     protected abstract int[] Cross(IScope scope, IRandom random, int[] parent1, int[] parent2);
   }
Index: /trunk/sources/HeuristicLab.IntVector/IntVectorManipulatorBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/IntVectorManipulatorBase.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/IntVectorManipulatorBase.cs	(revision 1157)
@@ -27,5 +27,12 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Base class for all integer vector manipulators.
+  /// </summary>
   public abstract class IntVectorManipulatorBase : OperatorBase {
+    /// <summary>
+    /// Initializes a new instance of <see cref="IntVectorManipulatorBase"/> with two variable infos
+    /// (<c>Random</c> and <c>IntVector</c>).
+    /// </summary>
     public IntVectorManipulatorBase() {
       AddVariableInfo(new VariableInfo("Random", "Pseudo random number generator", typeof(IRandom), VariableKind.In));
@@ -33,4 +40,9 @@
     }
 
+    /// <summary>
+    /// Manipulates the integer vector.
+    /// </summary>
+    /// <param name="scope">The current scope whose integer vector to manipulate.</param>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       IRandom random = GetVariableValue<IRandom>("Random", scope, true);
@@ -40,4 +52,11 @@
     }
 
+    /// <summary>
+    /// Manipulates the given integer <paramref name="vector"/> with the given random number generator.
+    /// </summary>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="vector">The integer vector to manipulate.</param>
+    /// <returns>The manipulated integer vector.</returns>
     protected abstract int[] Manipulate(IScope scope, IRandom random, int[] vector);
   }
Index: /trunk/sources/HeuristicLab.IntVector/SinglePointCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/SinglePointCrossover.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/SinglePointCrossover.cs	(revision 1157)
@@ -26,9 +26,21 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Single point crossover for integer vectors.
+  /// </summary>
   public class SinglePointCrossover : IntVectorCrossoverBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return "Single point crossover for integer vectors."; }
     }
 
+    /// <summary>
+    /// Performs a single point crossover at a randomly chosen position of the two 
+    /// given parent integer vectors.
+    /// </summary>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="parent1">The first parent for crossover.</param>
+    /// <param name="parent2">The second parent for crossover.</param>
+    /// <returns>The newly created integer vector, resulting from the single point crossover.</returns>
     public static int[] Apply(IRandom random, int[] parent1, int[] parent2) {
       int length = parent1.Length;
@@ -44,4 +56,13 @@
     }
 
+    /// <summary>
+    /// Performs a single point crossover at a randomly chosen position of the two 
+    /// given parent integer vectors.
+    /// </summary>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="parent1">The first parent for crossover.</param>
+    /// <param name="parent2">The second parent for crossover.</param>
+    /// <returns>The newly created integer vector, resulting from the single point crossover.</returns>
     protected override int[] Cross(IScope scope, IRandom random, int[] parent1, int[] parent2) {
       return Apply(random, parent1, parent2);
Index: /trunk/sources/HeuristicLab.IntVector/UniformAllPositionsManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/UniformAllPositionsManipulator.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/UniformAllPositionsManipulator.cs	(revision 1157)
@@ -27,9 +27,17 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Uniformly distributed change of all positions of an integer vector.
+  /// </summary>
   public class UniformAllPositionsManipulator : IntVectorManipulatorBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return "Uniformly distributed change of all positions of an integer vector."; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="UniformAllPositionsManipulator"/> with two variable infos
+    /// (<c>Minimum</c> and <c>Maximum</c>).
+    /// </summary>
     public UniformAllPositionsManipulator() {
       AddVariableInfo(new VariableInfo("Minimum", "Minimum of the sampling range for the vector element (included)", typeof(IntData), VariableKind.In));
@@ -37,4 +45,12 @@
     }
 
+    /// <summary>
+    /// Changes all position in the given integer <paramref name="vector"/>.
+    /// </summary>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="vector">The integer vector to manipulate.</param>
+    /// <param name="min">The minimum value of the sampling range for each vector element (inclusive).</param>
+    /// <param name="max">The maximum value of the sampling range for each vector element (exclusive).</param>
+    /// <returns>The new integer vector which has been manipulated.</returns>
     public static int[] Apply(IRandom random, int[] vector, int min, int max) {
       int[] result = new int[vector.Length];
@@ -44,4 +60,12 @@
     }
 
+    /// <summary>
+    /// Changes all position in the given integer <paramref name="vector"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="Apply"/>.</remarks>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="vector">The integer vector to manipulate.</param>
+    /// <returns>The new integer vector which has been manipulated.</returns>
     protected override int[] Manipulate(IScope scope, IRandom random, int[] vector) {
       int min = GetVariableValue<IntData>("Minimum", scope, true).Data;
Index: /trunk/sources/HeuristicLab.IntVector/UniformOnePositionManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/UniformOnePositionManipulator.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/UniformOnePositionManipulator.cs	(revision 1157)
@@ -27,9 +27,17 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Uniformly distributed change of a single position of an integer vector.
+  /// </summary>
   public class UniformOnePositionManipulator : IntVectorManipulatorBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return "Uniformly distributed change of a single position of an integer vector."; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="UniformOnePositionManipulator"/> with two variable infos
+    /// (<c>Minimum</c> and <c>Maximum</c>).
+    /// </summary>
     public UniformOnePositionManipulator() {
       AddVariableInfo(new VariableInfo("Minimum", "Minimum of the sampling range for the vector element (included)", typeof(IntData), VariableKind.In));
@@ -37,4 +45,14 @@
     }
 
+    /// <summary>
+    /// Changes randomly a single position in the given integer <paramref name="vector"/>.
+    /// </summary>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="vector">The integer vector to manipulate.</param>
+    /// <param name="min">The minimum value of the sampling range for 
+    /// the vector element to change (inclusive).</param>
+    /// <param name="max">The maximum value of the sampling range for
+    /// the vector element to change (exclusive).</param>
+    /// <returns>The new integer vector that has been manipulated.</returns>
     public static int[] Apply(IRandom random, int[] vector, int min, int max) {
       int[] result = (int[])vector.Clone();
@@ -44,4 +62,12 @@
     }
 
+    /// <summary>
+    /// Changes randomly a single position in the given integer <paramref name="vector"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="Apply"/>.</remarks>
+    /// <param name="scope">The current scope.</param>
+    /// <param name="random">A random number generator.</param>
+    /// <param name="vector">The integer vector to manipulate.</param>
+    /// <returns>The new integer vector that has been manipulated.</returns>
     protected override int[] Manipulate(IScope scope, IRandom random, int[] vector) {
       int min = GetVariableValue<IntData>("Minimum", scope, true).Data;
Index: /trunk/sources/HeuristicLab.IntVector/UniformRandomIntVectorGenerator.cs
===================================================================
--- /trunk/sources/HeuristicLab.IntVector/UniformRandomIntVectorGenerator.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.IntVector/UniformRandomIntVectorGenerator.cs	(revision 1157)
@@ -27,9 +27,17 @@
 
 namespace HeuristicLab.IntVector {
+  /// <summary>
+  /// Generates a new random integer vector with each element uniformly distributed in a specified range.
+  /// </summary>
   public class UniformRandomIntVectorGenerator : OperatorBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return "Operator generating a new random integer vector with each element uniformly distributed in a specified range."; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="UniformRandomIntVectorGenerator"/> with five variable infos
+    /// (<c>Random</c>, <c>Length</c>, <c>Minimum</c>, <c>Maximum</c> and <c>IntVector</c>).
+    /// </summary>
     public UniformRandomIntVectorGenerator() {
       AddVariableInfo(new VariableInfo("Random", "Pseudo random number generator", typeof(IRandom), VariableKind.In));
@@ -40,4 +48,12 @@
     }
 
+    /// <summary>
+    /// Generates a new random integer vector with the given <paramref name="length"/>.
+    /// </summary>
+    /// <param name="random">The random number generator.</param>
+    /// <param name="length">The length of the int vector.</param>
+    /// <param name="min">The minimum value of the sampling range for each vector element (inclusive).</param>
+    /// <param name="max">The maximum value of the sampling range for each vector element (exclusive).</param>
+    /// <returns>The newly created integer vector.</returns>
     public static int[] Apply(IRandom random, int length, int min, int max) {
       int[] result = new int[length];
@@ -47,4 +63,10 @@
     }
 
+    /// <summary>
+    /// Generates a new random integer vector and injects it in the given <paramref name="scope"/>.
+    /// </summary>
+    /// <param name="scope">The scope where to get the values from and where to inject the newly 
+    /// created integer vector.</param>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       IRandom random = GetVariableValue<IRandom>("Random", scope, true);
Index: /trunk/sources/HeuristicLab.Random/NormalRandomAdder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/NormalRandomAdder.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Random/NormalRandomAdder.cs	(revision 1157)
@@ -87,5 +87,5 @@
     /// </summary>
     /// <param name="scope">The scope where to add the generated random number.</param>
-    /// <returns>null.</returns>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       IObjectData value = GetVariableValue<IObjectData>("Value", scope, false);
Index: /trunk/sources/HeuristicLab.Random/NormalRandomizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/NormalRandomizer.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Random/NormalRandomizer.cs	(revision 1157)
@@ -80,5 +80,5 @@
     /// </summary>
     /// <param name="scope">The scope where to assign the new random value to.</param>
-    /// <returns>null.</returns>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       IObjectData value = GetVariableValue<IObjectData>("Value", scope, false);
Index: /trunk/sources/HeuristicLab.Random/RandomInjector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/RandomInjector.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Random/RandomInjector.cs	(revision 1157)
@@ -60,5 +60,5 @@
     /// </summary>
     /// <param name="scope">The scope where to inject the variable.</param>
-    /// <returns>null.</returns>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       bool setRandomly = GetVariableValue<BoolData>("SetSeedRandomly", scope, true).Data;
Index: /trunk/sources/HeuristicLab.Random/UniformRandomAdder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/UniformRandomAdder.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Random/UniformRandomAdder.cs	(revision 1157)
@@ -70,5 +70,5 @@
     /// </summary>
     /// <param name="scope">The current scope where to add the generated random number.</param>
-    /// <returns>null.</returns>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       IObjectData value = GetVariableValue<IObjectData>("Value", scope, false);
Index: /trunk/sources/HeuristicLab.Random/UniformRandomizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/UniformRandomizer.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Random/UniformRandomizer.cs	(revision 1157)
@@ -78,5 +78,5 @@
     /// </summary>
     /// <param name="scope">The scope where to apply the random number generator.</param>
-    /// <returns>null.</returns>
+    /// <returns><c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       IObjectData value = GetVariableValue<IObjectData>("Value", scope, false);
Index: /trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringAnalyzer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringAnalyzer.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringAnalyzer.cs	(revision 1157)
@@ -64,5 +64,5 @@
     /// smaller than 1.</exception>
     /// <param name="scope">The scope whose offspring should be analyzed.</param>
-    /// <returns>The next operation or null.</returns>
+    /// <returns>The next operation or <c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       bool maximize = GetVariableValue<BoolData>("Maximization", scope, true).Data;
Index: /trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringSelector.cs	(revision 1156)
+++ /trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringSelector.cs	(revision 1157)
@@ -56,5 +56,5 @@
     /// </summary>
     /// <param name="scope">The current scope of the parents and the children.</param>
-    /// <returns>The next operation or null.</returns>
+    /// <returns>The next operation or <c>null</c>.</returns>
     public override IOperation Apply(IScope scope) {
       double selectionPressureLimit = GetVariableValue<DoubleData>("SelectionPressureLimit", scope, true).Data;