Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.cs	(revision 1163)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.cs	(revision 1164)
@@ -35,5 +35,10 @@
 
 namespace HeuristicLab.Hive.Server.ServerConsole {
+
+  public delegate void addDelegate();
+
   public partial class AddJobForm : Form {
+
+    public event addDelegate addJobEvent;
 
     ResponseList<Job> jobGroups = null;
@@ -76,4 +81,7 @@
             }
           }
+          if (addJobEvent != null) {
+            addJobEvent();
+          }
           this.Close();
         } else {
Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.cs	(revision 1163)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.cs	(revision 1164)
@@ -35,4 +35,5 @@
   public partial class AddUserForm : Form {
 
+    public event addDelegate addUserEvent;
     ResponseList<UserGroup> userGroups = null;
     IUserRoleManager userRoleManager;
@@ -98,4 +99,7 @@
         }
       }
+      if (addUserEvent != null) {
+        addUserEvent();
+      }
       this.Close();
     }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs	(revision 1163)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs	(revision 1164)
@@ -127,4 +127,5 @@
       this.tbPort.Size = new System.Drawing.Size(189, 20);
       this.tbPort.TabIndex = 6;
+      this.tbPort.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
       // tbIp
@@ -134,4 +135,5 @@
       this.tbIp.Size = new System.Drawing.Size(191, 20);
       this.tbIp.TabIndex = 5;
+      this.tbIp.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
       // btnLogin
@@ -144,4 +146,5 @@
       this.btnLogin.UseVisualStyleBackColor = true;
       this.btnLogin.Click += new System.EventHandler(this.BtnLogin_Click);
+      this.btnLogin.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
       // groupBox1
@@ -164,4 +167,5 @@
       this.tbUserName.Size = new System.Drawing.Size(189, 20);
       this.tbUserName.TabIndex = 2;
+      this.tbUserName.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
       // lblPwd
@@ -190,4 +194,5 @@
       this.tbPwd.TabIndex = 3;
       this.tbPwd.UseSystemPasswordChar = true;
+      this.tbPwd.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
       // lblError
@@ -213,4 +218,5 @@
       this.Name = "HiveServerConsole";
       this.Text = "Server Console";
+      this.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       this.msServerConsole.ResumeLayout(false);
       this.msServerConsole.PerformLayout();
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 1163)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 1164)
@@ -118,4 +118,10 @@
       }
     }
+
+    private void HiveServerConsole_KeyPress(object sender, KeyPressEventArgs e) {
+      if (e.KeyChar == (char)Keys.Return) {
+        BtnLogin_Click(sender, e);
+      }
+    }
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1163)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1164)
@@ -50,4 +50,13 @@
       this.lvUserControl = new System.Windows.Forms.ListView();
       this.ilUserControl = new System.Windows.Forms.ImageList(this.components);
+      this.plClientDetails = new System.Windows.Forms.Panel();
+      this.lblState = new System.Windows.Forms.Label();
+      this.lblStateClient = new System.Windows.Forms.Label();
+      this.lblLogin = new System.Windows.Forms.Label();
+      this.lblLoginOn = new System.Windows.Forms.Label();
+      this.lblClientName = new System.Windows.Forms.Label();
+      this.btnClientDetailClose = new System.Windows.Forms.Button();
+      this.pbClientControl = new System.Windows.Forms.PictureBox();
+      this.pbUserControl = new System.Windows.Forms.PictureBox();
       this.plJobDetails = new System.Windows.Forms.Panel();
       this.lvSnapshots = new System.Windows.Forms.ListView();
@@ -68,14 +77,7 @@
       this.btnJobDetailClose = new System.Windows.Forms.Button();
       this.pbJobControl = new System.Windows.Forms.PictureBox();
-      this.plClientDetails = new System.Windows.Forms.Panel();
-      this.lblLogin = new System.Windows.Forms.Label();
-      this.lblLoginOn = new System.Windows.Forms.Label();
-      this.lblClientName = new System.Windows.Forms.Label();
-      this.btnClientDetailClose = new System.Windows.Forms.Button();
-      this.pbClientControl = new System.Windows.Forms.PictureBox();
       this.plUserDetails = new System.Windows.Forms.Panel();
       this.lblUserName = new System.Windows.Forms.Label();
       this.btnUserControlClose = new System.Windows.Forms.Button();
-      this.pbUserControl = new System.Windows.Forms.PictureBox();
       this.treeView2 = new System.Windows.Forms.TreeView();
       this.listView2 = new System.Windows.Forms.ListView();
@@ -96,10 +98,10 @@
       this.scUserControl.Panel2.SuspendLayout();
       this.scUserControl.SuspendLayout();
+      this.plClientDetails.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).BeginInit();
       this.plJobDetails.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).BeginInit();
-      this.plClientDetails.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
       this.plUserDetails.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).BeginInit();
       this.SuspendLayout();
@@ -218,4 +220,5 @@
       this.tvClientControl.Size = new System.Drawing.Size(139, 346);
       this.tvClientControl.TabIndex = 0;
+      this.tvClientControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVClientClicked);
       // 
       // lvClientControl
@@ -276,5 +279,5 @@
       this.tvJobControl.Size = new System.Drawing.Size(139, 346);
       this.tvJobControl.TabIndex = 2;
-      this.tvJobControl.Click += new System.EventHandler(this.OnTVJobControlClicked);
+      this.tvJobControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVJobControlClicked);
       // 
       // lvJobControl
@@ -333,4 +336,5 @@
       this.tvUserControl.Size = new System.Drawing.Size(139, 346);
       this.tvUserControl.TabIndex = 1;
+      this.tvUserControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVUserControlClicked);
       // 
       // lvUserControl
@@ -351,4 +355,91 @@
       this.ilUserControl.TransparentColor = System.Drawing.Color.Transparent;
       this.ilUserControl.Images.SetKeyName(0, "Users.png");
+      // 
+      // plClientDetails
+      // 
+      this.plClientDetails.BackColor = System.Drawing.SystemColors.Window;
+      this.plClientDetails.Controls.Add(this.lblState);
+      this.plClientDetails.Controls.Add(this.lblStateClient);
+      this.plClientDetails.Controls.Add(this.lblLogin);
+      this.plClientDetails.Controls.Add(this.lblLoginOn);
+      this.plClientDetails.Controls.Add(this.lblClientName);
+      this.plClientDetails.Controls.Add(this.btnClientDetailClose);
+      this.plClientDetails.Controls.Add(this.pbClientControl);
+      this.plClientDetails.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.plClientDetails.Location = new System.Drawing.Point(0, 0);
+      this.plClientDetails.Name = "plClientDetails";
+      this.plClientDetails.Size = new System.Drawing.Size(494, 346);
+      this.plClientDetails.TabIndex = 1;
+      // 
+      // lblState
+      // 
+      this.lblState.AutoSize = true;
+      this.lblState.Location = new System.Drawing.Point(103, 76);
+      this.lblState.Name = "lblState";
+      this.lblState.Size = new System.Drawing.Size(35, 13);
+      this.lblState.TabIndex = 6;
+      this.lblState.Text = "label2";
+      // 
+      // lblStateClient
+      // 
+      this.lblStateClient.AutoSize = true;
+      this.lblStateClient.Location = new System.Drawing.Point(29, 76);
+      this.lblStateClient.Name = "lblStateClient";
+      this.lblStateClient.Size = new System.Drawing.Size(32, 13);
+      this.lblStateClient.TabIndex = 5;
+      this.lblStateClient.Text = "State";
+      // 
+      // lblLogin
+      // 
+      this.lblLogin.AutoSize = true;
+      this.lblLogin.Location = new System.Drawing.Point(100, 55);
+      this.lblLogin.Name = "lblLogin";
+      this.lblLogin.Size = new System.Drawing.Size(43, 13);
+      this.lblLogin.TabIndex = 4;
+      this.lblLogin.Text = "lblLogin";
+      // 
+      // lblLoginOn
+      // 
+      this.lblLoginOn.AutoSize = true;
+      this.lblLoginOn.Location = new System.Drawing.Point(29, 55);
+      this.lblLoginOn.Name = "lblLoginOn";
+      this.lblLoginOn.Size = new System.Drawing.Size(65, 13);
+      this.lblLoginOn.TabIndex = 3;
+      this.lblLoginOn.Text = "logged in on";
+      // 
+      // lblClientName
+      // 
+      this.lblClientName.AutoSize = true;
+      this.lblClientName.Location = new System.Drawing.Point(41, 14);
+      this.lblClientName.Name = "lblClientName";
+      this.lblClientName.Size = new System.Drawing.Size(71, 13);
+      this.lblClientName.TabIndex = 2;
+      this.lblClientName.Text = "lblClientName";
+      // 
+      // btnClientDetailClose
+      // 
+      this.btnClientDetailClose.Location = new System.Drawing.Point(414, 4);
+      this.btnClientDetailClose.Name = "btnClientDetailClose";
+      this.btnClientDetailClose.Size = new System.Drawing.Size(75, 23);
+      this.btnClientDetailClose.TabIndex = 1;
+      this.btnClientDetailClose.Text = "Close";
+      this.btnClientDetailClose.UseVisualStyleBackColor = true;
+      this.btnClientDetailClose.Click += new System.EventHandler(this.btnClientClose_Click);
+      // 
+      // pbClientControl
+      // 
+      this.pbClientControl.Location = new System.Drawing.Point(3, 4);
+      this.pbClientControl.Name = "pbClientControl";
+      this.pbClientControl.Size = new System.Drawing.Size(32, 32);
+      this.pbClientControl.TabIndex = 0;
+      this.pbClientControl.TabStop = false;
+      // 
+      // pbUserControl
+      // 
+      this.pbUserControl.Location = new System.Drawing.Point(3, 3);
+      this.pbUserControl.Name = "pbUserControl";
+      this.pbUserControl.Size = new System.Drawing.Size(32, 32);
+      this.pbUserControl.TabIndex = 3;
+      this.pbUserControl.TabStop = false;
       // 
       // plJobDetails
@@ -515,63 +606,4 @@
       this.pbJobControl.TabStop = false;
       // 
-      // plClientDetails
-      // 
-      this.plClientDetails.BackColor = System.Drawing.SystemColors.Window;
-      this.plClientDetails.Controls.Add(this.lblLogin);
-      this.plClientDetails.Controls.Add(this.lblLoginOn);
-      this.plClientDetails.Controls.Add(this.lblClientName);
-      this.plClientDetails.Controls.Add(this.btnClientDetailClose);
-      this.plClientDetails.Controls.Add(this.pbClientControl);
-      this.plClientDetails.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.plClientDetails.Location = new System.Drawing.Point(0, 0);
-      this.plClientDetails.Name = "plClientDetails";
-      this.plClientDetails.Size = new System.Drawing.Size(494, 346);
-      this.plClientDetails.TabIndex = 1;
-      // 
-      // lblLogin
-      // 
-      this.lblLogin.AutoSize = true;
-      this.lblLogin.Location = new System.Drawing.Point(100, 55);
-      this.lblLogin.Name = "lblLogin";
-      this.lblLogin.Size = new System.Drawing.Size(43, 13);
-      this.lblLogin.TabIndex = 4;
-      this.lblLogin.Text = "lblLogin";
-      // 
-      // lblLoginOn
-      // 
-      this.lblLoginOn.AutoSize = true;
-      this.lblLoginOn.Location = new System.Drawing.Point(29, 55);
-      this.lblLoginOn.Name = "lblLoginOn";
-      this.lblLoginOn.Size = new System.Drawing.Size(65, 13);
-      this.lblLoginOn.TabIndex = 3;
-      this.lblLoginOn.Text = "logged in on";
-      // 
-      // lblClientName
-      // 
-      this.lblClientName.AutoSize = true;
-      this.lblClientName.Location = new System.Drawing.Point(41, 14);
-      this.lblClientName.Name = "lblClientName";
-      this.lblClientName.Size = new System.Drawing.Size(71, 13);
-      this.lblClientName.TabIndex = 2;
-      this.lblClientName.Text = "lblClientName";
-      // 
-      // btnClientDetailClose
-      // 
-      this.btnClientDetailClose.Location = new System.Drawing.Point(414, 4);
-      this.btnClientDetailClose.Name = "btnClientDetailClose";
-      this.btnClientDetailClose.Size = new System.Drawing.Size(75, 23);
-      this.btnClientDetailClose.TabIndex = 1;
-      this.btnClientDetailClose.Text = "Close";
-      this.btnClientDetailClose.UseVisualStyleBackColor = true;
-      this.btnClientDetailClose.Click += new System.EventHandler(this.btnClientClose_Click);
-      // 
-      // pbClientControl
-      // 
-      this.pbClientControl.Location = new System.Drawing.Point(3, 4);
-      this.pbClientControl.Name = "pbClientControl";
-      this.pbClientControl.Size = new System.Drawing.Size(32, 32);
-      this.pbClientControl.TabIndex = 0;
-      this.pbClientControl.TabStop = false;
-      // 
       // plUserDetails
       // 
@@ -604,12 +636,4 @@
       this.btnUserControlClose.UseVisualStyleBackColor = true;
       this.btnUserControlClose.Click += new System.EventHandler(this.btnUserControlClose_Click);
-      // 
-      // pbUserControl
-      // 
-      this.pbUserControl.Location = new System.Drawing.Point(3, 3);
-      this.pbUserControl.Name = "pbUserControl";
-      this.pbUserControl.Size = new System.Drawing.Size(32, 32);
-      this.pbUserControl.TabIndex = 3;
-      this.pbUserControl.TabStop = false;
       // 
       // treeView2
@@ -667,13 +691,13 @@
       this.scUserControl.Panel2.ResumeLayout(false);
       this.scUserControl.ResumeLayout(false);
+      this.plClientDetails.ResumeLayout(false);
+      this.plClientDetails.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).EndInit();
       this.plJobDetails.ResumeLayout(false);
       this.plJobDetails.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).EndInit();
-      this.plClientDetails.ResumeLayout(false);
-      this.plClientDetails.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
       this.plUserDetails.ResumeLayout(false);
       this.plUserDetails.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).EndInit();
       this.ResumeLayout(false);
@@ -740,4 +764,6 @@
     private System.Windows.Forms.ColumnHeader chTimeCalculated;
     private System.Windows.Forms.ColumnHeader chProgress;
+    private System.Windows.Forms.Label lblStateClient;
+    private System.Windows.Forms.Label lblState;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1163)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1164)
@@ -217,5 +217,5 @@
     private void ClientClicked() {
       int i = 0;
-      while (usersList.List[i].Name != nameCurrentUser) {
+      while (clientInfo.List[i].Name != nameCurrentClient) {
         i++;
       }
@@ -226,4 +226,5 @@
       lblClientName.Text = currentClient.Name;
       lblLogin.Text = currentClient.Login.ToString();
+      lblState.Text = currentClient.State.ToString();
     }
 
@@ -333,4 +334,11 @@
       AddJobForm newForm = new AddJobForm();
       newForm.Show();
+      newForm.addJobEvent += new addDelegate(Refresh);
+    }
+
+    private void Refresh() {
+      AddClients();
+      AddJobs();
+      AddUsers();
     }
 
@@ -338,4 +346,5 @@
       AddUserForm newForm = new AddUserForm("User", false);
       newForm.Show();
+      newForm.addUserEvent += new addDelegate(Refresh);
     }
 
@@ -343,4 +352,5 @@
       AddUserForm newForm = new AddUserForm("User", true);
       newForm.Show();
+      newForm.addUserEvent += new addDelegate(Refresh);                                             
     }
 
@@ -351,4 +361,19 @@
     }
 
+    private void OnTVClientClicked(object sender, TreeViewEventArgs e) {
+      bool clientgroup = false;
+      foreach (ClientGroup cg in clients.List) {
+        if (tvClientControl.SelectedNode.Text == cg.Name) {
+          clientgroup = true;
+        }
+      }
+      if (clientgroup == false) {
+        nameCurrentClient = tvClientControl.SelectedNode.Text;
+        flagClient = true;
+        ClientClicked();
+      }
+
+    }
+
     private void OnLVJobControlClicked(object sender, EventArgs e) {
       nameCurrentJob = lvJobControl.SelectedItems[0].Text;
@@ -357,5 +382,5 @@
     }
 
-    private void OnTVJobControlClicked(object sender, EventArgs e) {
+    private void OnTVJobControlClicked(object sender, TreeViewEventArgs e) {
       try {
         nameCurrentJob = Convert.ToInt32(tvJobControl.SelectedNode.Text).ToString();
@@ -368,8 +393,24 @@
 
     private void OnLVUserControlClicked(object sender, EventArgs e) {
-      nameCurrentUser = lvUserControl.SelectedItems[0].Name;
+      nameCurrentUser = lvUserControl.SelectedItems[0].Text;
       flagUser = true;
       UserClicked();
     }
+
+    private void OnTVUserControlClicked(object sender, TreeViewEventArgs e) {
+      bool usergroup = false;
+      foreach (UserGroup ug in userGroups.List) {
+        if (tvUserControl.SelectedNode.Text == ug.Name) {
+          usergroup = true;
+        }
+      }
+      if (usergroup == false) {
+        nameCurrentUser = tvUserControl.SelectedNode.Text;
+        flagUser = true;
+        UserClicked();
+      }
+
+    }
+
 
     private void btnClientClose_Click(object sender, EventArgs e) {
@@ -398,4 +439,5 @@
     }
     #endregion
+
   }
 }