Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/AboutDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/AboutDialog.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/AboutDialog.cs	(revision 1185)
@@ -29,5 +29,11 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// The about dialog that presents some basic information about the application.
+  /// </summary>
   public partial class AboutDialog : Form {
+    /// <summary>
+    /// Initializes a new instance of <see cref="AboutDialog"/>.
+    /// </summary>
     public AboutDialog() {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/AvailableOperatorsForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/AvailableOperatorsForm.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/AvailableOperatorsForm.cs	(revision 1185)
@@ -33,4 +33,7 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// Display of all available operators of a specific operator library.
+  /// </summary>
   public partial class AvailableOperatorsForm : DockContent {
     #region Inner Class TreeNodeSorter
@@ -50,4 +53,7 @@
     private IOperatorLibrary operatorLibrary;
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="AvailableOperatorsForm"/>.
+    /// </summary>
     public AvailableOperatorsForm() {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/EditorForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/EditorForm.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/EditorForm.cs	(revision 1185)
@@ -31,13 +31,27 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// Displays the used editor.
+  /// </summary>
   public partial class EditorForm : DockContent {
     private IEditor myEditor;
+    /// <summary>
+    /// Gets the editor that is displayed.
+    /// </summary>
     public IEditor Editor {
       get { return myEditor; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="EditorForm"/>.
+    /// </summary>
     public EditorForm() {
       InitializeComponent();
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="EditorForm"/> with the given <paramref name="editor"/>
+    /// that should be displayed.
+    /// </summary>
+    /// <param name="editor">The editor that should be displayed.</param>
     public EditorForm(IEditor editor)
       : this() {
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendApplication.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendApplication.cs	(revision 1185)
@@ -27,6 +27,12 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// The HeuristicLab Advanced Optimization Frontend Application.
+  /// </summary>
   [ClassInfo(Name = "HeuristicLab 3.2 (dockable)", Description="Next generation heuristic optimization environment.")]
   class HeuristicLabAdvancedOptimizationFrontendApplication : ApplicationBase {
+    /// <summary>
+    /// Runs the application and displays the main window.
+    /// </summary>
     public override void Run() {
       Form mainForm = new MainForm();
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendPlugin.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendPlugin.cs	(revision 1185)
@@ -27,4 +27,7 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// Plugin class for HeuristicLab.AdvancedOptimizationFrontend plugin.
+  /// </summary>
   [ClassInfo(Name = "HeuristicLab.AdvancedOptimizationFrontend-3.2")]
   [PluginFile(Filename = "HeuristicLab.AdvancedOptimizationFrontend-3.2.dll", Filetype = PluginFileType.Assembly)]
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/MainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/MainForm.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/MainForm.cs	(revision 1185)
@@ -34,4 +34,7 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// The main form of the application.
+  /// </summary>
   public partial class MainForm : Form, IControlManager {
     #region Inner Types
@@ -53,4 +56,7 @@
     private int runningTasks;
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="MainForm"/>.
+    /// </summary>
     public MainForm() {
       InitializeComponent();
@@ -88,4 +94,10 @@
 
     #region IControlManager Members
+    /// <summary>
+    /// Displays the given <paramref name="control"/>. 
+    /// </summary>
+    /// <exception cref="InvalidOperationException">Thrown when the given <paramref name="control"/>
+    /// is neither a view nor an editor.</exception>
+    /// <param name="control">The control to display.</param>
     public void ShowControl(IControl control) {
       DockContent content;
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/ViewForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/ViewForm.cs	(revision 1184)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/ViewForm.cs	(revision 1185)
@@ -31,13 +31,27 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
+  /// <summary>
+  /// Displays the used view.
+  /// </summary>
   public partial class ViewForm : DockContent {
     private IView myView;
+    /// <summary>
+    /// Gets the view that is displayed.
+    /// </summary>
     public IView View {
       get { return myView; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ViewForm"/>.
+    /// </summary>
     public ViewForm() {
       InitializeComponent();
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="ViewForm"/> with the given <paramref name="view"/>
+    /// to display.
+    /// </summary>
+    /// <param name="view">The view that should be displayed.</param>
     public ViewForm(IView view)
       : this() {